> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Monitoring Policies

> Get all monitoring policies in the organization with pagination.
Policies are sorted by created_at in ascending order.



## OpenAPI

````yaml /api-reference/openapi.json get /monitoring_policies
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /monitoring_policies:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Monitoring Policies
      description: |-
        Get all monitoring policies in the organization with pagination.
        Policies are sorted by created_at in ascending order.
      operationId: get_monitoring_policies_monitoring_policies_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.MonitoringPolicyListResponse'
            application/vnd.baselayer.v1+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.MonitoringPolicyListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.MonitoringPolicyListResponse:
      description: Represents a monitoring policy list response.
      properties:
        id:
          description: The unique identifier of the portfolio item update.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Id
          type: string
        scope:
          $ref: '#/components/schemas/v1.PolicyScope'
          description: The scope of the monitoring policy.
        item_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: The unique identifier of the portfolio item, if any.
          title: Item Id
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: The unique identifier of the portfolio group, if any.
          title: Group Id
        enabled:
          description: Whether the monitoring policy is enabled.
          title: Enabled
          type: boolean
        cadence:
          $ref: '#/components/schemas/v1.MonitoringCadence'
          description: The monitoring cadence.
        last_run_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the monitoring policy was last executed.
          title: Last Run At
        next_run_on:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the monitoring policy will be executed next.
          title: Next Run On
        attributes:
          default: []
          description: The attributes to monitor.
          items:
            $ref: '#/components/schemas/v1.MonitorableAttributes'
          title: Attributes
          type: array
        url:
          readOnly: true
          title: Url
          type: string
        group_url:
          anyOf:
            - type: string
            - type: 'null'
          readOnly: true
          title: Group Url
        item_url:
          anyOf:
            - type: string
            - type: 'null'
          readOnly: true
          title: Item Url
      required:
        - id
        - scope
        - item_id
        - group_id
        - enabled
        - cadence
        - url
        - group_url
        - item_url
      title: MonitoringPolicyListResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.PolicyScope:
      description: The scope of a portfolio monitoring policy.
      enum:
        - portfolio
        - group
        - item
      title: PolicyScope
      type: string
    v1.MonitoringCadence:
      description: The cadence of monitoring.
      enum:
        - daily
        - weekly
        - biweekly
        - monthly
        - quarterly
        - biannually
        - annually
      title: MonitoringCadence
      type: string
    v1.MonitorableAttributes:
      description: The attributes that can be monitored.
      enum:
        - sos
        - liens
        - litigations
        - bankruptcies
        - website_analysis
        - pep
        - ofac
        - identity_network
      title: MonitorableAttributes
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````